package com.kdanmobile.kdanloginregisterui

import android.text.SpannableString
import android.text.Spanned
import android.text.TextPaint
import android.text.style.ClickableSpan
import android.view.View

object Utils {

    fun CharSequence.toSpannable(
            textColor: Int,
            isUnderLine: Boolean,
            onClickListener: View.OnClickListener
    ): SpannableString {
        val ss = SpannableString(this)
        val cs = object : ClickableSpan() {
            override fun onClick(widget: View?) {
                onClickListener.onClick(widget)
            }

            override fun updateDrawState(ds: TextPaint?) {
                super.updateDrawState(ds)
                ds?.apply {
                    color = textColor
                    isUnderlineText = isUnderLine
                }
            }
        }
        ss.setSpan(cs, 0, ss.length, Spanned.SPAN_EXCLUSIVE_EXCLUSIVE);
        return ss
    }
}