package com.kdanmobile.kdanloginregisterui.widget

import android.content.Context
import android.support.constraint.ConstraintLayout
import android.text.Editable
import android.text.TextUtils
import android.text.TextWatcher
import android.util.AttributeSet
import android.view.View
import android.widget.TextView
import com.kdanmobile.kdanloginregisterui.R
import kotlinx.android.synthetic.main.edit_text_pwd.view.*

class PwdEditText @JvmOverloads constructor(
        context: Context,
        attrs: AttributeSet? = null,
        defStyleAttr: Int = 0) : ConstraintLayout(context, attrs, defStyleAttr) {

    var error: CharSequence?
    get() = et_pwdEditText_pwd.error
    set(value) {
        et_pwdEditText_pwd.error = value
    }

    var text: Editable?
    get() = et_pwdEditText_pwd.text
    set(value) {
        et_pwdEditText_pwd.text = value
    }

    init {
        inflate(getContext(), R.layout.edit_text_pwd, this)
        et_pwdEditText_pwd.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {}
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {}
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                tv_pwdEditText_minimumHint.visibility = when {
                    TextUtils.isEmpty(s) -> View.VISIBLE
                    else -> GONE
                }
            }
        })
    }

    fun setText(text: CharSequence, type: TextView.BufferType) {
        et_pwdEditText_pwd.setText(text, type)
    }
}